Create lot
Create a new lot
POST
/
admin
/
api
/
v1
/
inventories
/
lots
Create lot
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/lots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LOT-2026-001",
"product_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/lots"
payload = {
"name": "LOT-2026-001",
"product_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'LOT-2026-001', product_id: 1})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/lots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'LOT-2026-001',
'product_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "LOT/0001/2021",
"description": "<p></p>",
"reference": null,
"properties": null,
"expiry_reminded": false,
"expiration_date": null,
"use_date": null,
"removal_date": null,
"alert_date": null,
"created_at": "2026-02-26T05:40:23.000000Z",
"updated_at": "2026-02-26T05:40:46.000000Z"
},
"message": "Lot created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Created
⌘I
Create lot
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/inventories/lots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "LOT-2026-001",
"product_id": 1
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/lots"
payload = {
"name": "LOT-2026-001",
"product_id": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'LOT-2026-001', product_id: 1})
};
fetch('https://erp.arukz.com/admin/api/v1/inventories/lots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/lots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'LOT-2026-001',
'product_id' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "LOT/0001/2021",
"description": "<p></p>",
"reference": null,
"properties": null,
"expiry_reminded": false,
"expiration_date": null,
"use_date": null,
"removal_date": null,
"alert_date": null,
"created_at": "2026-02-26T05:40:23.000000Z",
"updated_at": "2026-02-26T05:40:46.000000Z"
},
"message": "Lot created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}